> For the complete documentation index, see [llms.txt](https://docs.misttrack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.misttrack.io/for-developer-plan/get-developer-api-quota.md).

# Get Developer API Quota

Returns the current developer API quota for the user identified by `api_key`. This endpoint is only available to developer plan.

```shell
GET https://openapi.misttrack.io/v1/developer_api_quota?api_key=YourApiKey
```

## Request

Query Parameters

| Parameter | Type   | Required | Description   |
| --------- | ------ | -------- | ------------- |
| api\_key  | string | yes      | Your API key. |

## Response

The three quota values are top-level fields, not nested under `data`. The endpoint returns the non-expired quota record with the highest ID. If there is no non-expired record, all three values are `0`.

<table><thead><tr><th width="158.71484375">Parameter</th><th width="76.70703125">Type</th><th>Description</th></tr></thead><tbody><tr><td>success</td><td>bool</td><td>Whether the request succeeded.</td></tr><tr><td>msg</td><td>string</td><td>Empty on success; otherwise an error code.</td></tr><tr><td>total_quota</td><td>int</td><td>Total quota in the selected record.</td></tr><tr><td>used_quota</td><td>int</td><td>Used quota in the selected record.</td></tr><tr><td>remaining_quota</td><td>int</td><td>Remaining quota in the selected record.</td></tr></tbody></table>

Sample Response

```json
{
  "success": true,
  "msg": "",
  "total_quota": 1000,
  "used_quota": 250,
  "remaining_quota": 750
}
```

## Error Responses

<table><thead><tr><th width="120.98046875">HTTP Status</th><th>Response</th><th>Meaning</th></tr></thead><tbody><tr><td>200</td><td><code>{"success": false, "msg": "InvalidApiKey"}</code></td><td>API key is missing, invalid, or deleted.</td></tr><tr><td>200</td><td><code>{"success": false, "msg": "PermissionDenied"}</code></td><td>The user is not a developer user.</td></tr><tr><td>402</td><td><code>{"success": false, "msg": "ExpiredPlan"}</code></td><td>The API plan has expired.</td></tr></tbody></table>
